Split the corrent BOM in smaller ones specific for each modules

Description

Our BOM is currently too big, forcing the version of dependencies the might cause problem to the user.
For example, it forces the RestEasy dependency even if the user is not using the Neo4j HTTP dialect.

We should also check if we need the dependencies to standard APIs and/or if we are too strict on the version selected.

Environment

None

Assignee

Unassigned

Reporter

Davide D'Alto

Labels

None

Feedback Requested

None

Feedback Requested By

None

backPortable

None

Suitable for new contributors

None

Pull Request

None

backportDecision

None

backportReEvaluate

None

Fix versions

Priority

Major
Configure